<?php
	require_once("../includes/bootstrap.php");
	$sesion=new sesion();
	$academia=bootstrap::initBd($sesion->get('anio'));
	/** Error reporting */
	error_reporting(E_ALL);
	ini_set('display_errors', TRUE);
	ini_set('display_startup_errors', TRUE);
	date_default_timezone_set('Europe/London');
	
	if (PHP_SAPI == 'cli')
		die('This example should only be run from a Web Browser');
	
	/** Include PHPExcel */
	require_once("../includes/phpExcel/PHPExcel.php");
	$nombre_grupo=$sesion->getVar('configuracion.nombres_grupos');
	
	// Create new PHPExcel object
	$objPHPExcel = new PHPExcel();
	
	// Set document properties
	$objPHPExcel->getProperties()->setCreator("Academia Web")
								 ->setLastModifiedBy("Maarten Balliauw")
								 ->setTitle("Office 2007 XLSX Test Document")
								 ->setSubject("Office 2007 XLSX Test Document")
								 ->setDescription("Carga Academica Por Cada Docente")
								 ->setKeywords("Academia 2013")
								 ->setCategory("Reportes");
	// Add some data
	$iduser=$sesion->get('ac_userid');

	$configuracion=$sesion->get('configuracion');
	$nombre_grupo=$configuracion['nombres_grupos'];
	
	
	$cod_estudiantes=$academia->escapar($_GET['est'],'int');
	$grado=$academia->escapar($_GET['grado']); 
	$grupo=$academia->escapar($_GET['grupo'],'int'); 
	$director=$academia->escapar($_GET['dir']);
	#$jornada=$academia->escapar($_GET['jorn'],'int'); 
	$sede=$academia->escapar(ucwords(strtolower($_GET['sede']))); 
	$seccion=$academia->escapar($_GET['secc']); 
	$periodon=$academia->escapar($_GET['peri'],'int'); 
	
	switch ($periodon) {
	case 1:
		$periodo= "Primero";
	break;
	case 2:
		$periodo= "Segundo";
	break;
	case 3:
		$periodo= "Tercero";
	break;
	case 4:
		$periodo= "Cuarto";
	break;
	case 5:
		$periodo= "Quinto";
	break;
	case 6:
		$periodo= "Sexto";
	break;
	case 7:
		$periodo= "Séptimo";
	break;
	case 8:
		$periodo= "Octavo";
	break;
	case 9:
		$periodo= "Noveno";
	break;
	case 10:
		$periodo= "Décimo";
	break;
	case 11:
		$periodo= "Décimo Primero";
	break;
	case 12:
		$periodo= "Décimo Segundo";
	break;
	} 

	$sql="call SP_BOLETINES_GRUPO_GENERICO($grupo,$periodon,'$iduser')"; 
	//echo $sql;
	$i=0;
	$cmps="";
	//$idSede=$_GET['id'];
	
	$academia->instruccion($sql);
	$hojaActiva=$objPHPExcel->getActiveSheet();
	$hojaActiva->getDefaultColumnDimension()->setWidth(4);
		
	$dtsColegio=$sesion->get('info_colegio');
	$hojaActiva->setCellValue('A1', $dtsColegio['nombre']);
	$hojaActiva->setCellValue('A2', "NIT. ".  $dtsColegio['nit']);
	$hojaActiva->setCellValue('A3', "NIT. ".  empty($dtsColegio['resolucion']) ? $dtsColegio['decreto'] : $dtsColegio['resolucion'] );
	
	
	
	$hojaActiva->mergeCells('A1:G1');
	$hojaActiva->mergeCells('A2:G2');
	$hojaActiva->mergeCells('A3:G3');
	$hojaActiva->getStyle('A1:G3')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
	$hojaActiva->getStyle('A1:G3')->getFont()->setBold(true);
	$fil=6;
	$auxFil=$fil;
	
	
	$objDrawing = new PHPExcel_Worksheet_Drawing();
	$objDrawing->setName('Logo');
	$objDrawing->setDescription('Logo');
	$objDrawing->setPath('../images/logo_colegio.png');
	$objDrawing->setHeight(50);
	$objDrawing->setWidth(36);
	$objDrawing->setWorksheet($hojaActiva);
	unset($objDrawing);

	$styleArray = array(
					'borders' => array(
						'outline' => array(
							'style' => PHPExcel_Style_Border::BORDER_THICK,
							'color' => array('argb' => '0000'),
						),
					),
				);	
	$styleDts=array(
		'font'=>array(
			'bold'=>TRUE,
		),
		'alignment' => array(
			'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
			'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER,
			'wrap'=>TRUE,
		)
	);
	$cntAnt=$fil;
	$reg=$academia->extraer_registro();
	
	do{
		$notest=json_decode($reg['notas'],true);
		$infcom=json_decode($reg['comportamiento'],true);
		$materias=$notest['materias'];
		
		$hojaActiva->setCellValue('A'.$fil, 'Asignatura');
		$hojaActiva->setCellValue('h'.$fil, 'Puesto Asig.');
		$hojaActiva->setCellValue('i'.$fil, 'Desempeño');
		$hojaActiva->setCellValue('k'.$fil, 'Fal. Jus');
		$hojaActiva->setCellValue('l'.$fil, 'Fal. Inj');
		
		//$hojaActiva->getStyle('E'.$fil.':F'.$fil)->getAlignment()->setWrapText(true);
		
		$hojaActiva->setCellValue('M'.$fil, 'Periodos Anteriodes');
	
		$hojaActiva->setCellValue('Q'.$fil, 'Docente');
		
		$hojaActiva->mergeCells('A'.$fil.':G'.($fil+1));
		$hojaActiva->mergeCells('h'.$fil.':h'.($fil+1));
		$hojaActiva->mergeCells('i'.$fil.':j'.($fil+1));
			
		$hojaActiva->mergeCells('k'.$fil.':k'.($fil+1));
		$hojaActiva->mergeCells('l'.$fil.':l'.($fil+1));
		$hojaActiva->mergeCells('m'.$fil.':p'.($fil));
		$hojaActiva->mergeCells('Q'.$fil.':Z'.($fil+1));
		//$hojaActiva->getStyle('A'.$fil.":K".$fil)->getFont()->setBold(true);
		
		$hojaActiva->getStyle('A'.$fil.':Z'.$fil)->applyFromArray($styleDts);
		
		$fil=$fil+2;
			
		foreach($materias as $rmat):
			$hojaActiva->setCellValue('A'.$fil, $rmat['no_asi']);
			$hojaActiva->setCellValue('h'.$fil, $rmat['puesto']);
			$hojaActiva->setCellValue('i'.$fil, $rmat['nn']);
			$hojaActiva->setCellValue('j'.$fil, $rmat['nl']);
			$hojaActiva->setCellValue('k'.$fil, $rmat['fj']);
			$hojaActiva->setCellValue('l'.$fil, $rmat['fi']);

			$hojaActiva->setCellValue('Q'.$fil, $rmat['dte']);
			
			$hojaActiva->mergeCells('A'.$fil.':G'.($fil));
			
			$fil++;
		endforeach;
		$fil+=3;
	}while($reg=$academia->extraer_registro());
	
	//$hojaActiva->getColumnDimension('A')->setAutoSize(true);
	//$hojaActiva->getColumnDimension('K')->setAutoSize(true);
	
	$hojaActiva->getColumnDimension('G')->setWidth(5);
	$hojaActiva->getColumnDimension('H')->setWidth(5);
	$hojaActiva->getColumnDimension('I')->setWidth(5);
	$hojaActiva->getColumnDimension('J')->setWidth(5);

	// Rename worksheet
	$objPHPExcel->getActiveSheet()->setTitle('Carga Académica');

	// Set active sheet index to the first sheet, so Excel opens this as the first sheet
	$objPHPExcel->setActiveSheetIndex(0);
	
	$nomdoc=(empty($idSede) || $idSede=="0x") ? "Carga Academica Total.xls" : "Carga Academica - ".$sede.".xls";
	// Redirect output to a client’s web browser (Excel5)
	header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="Boletines.xlsx"');
header('Cache-Control: max-age=0');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
	unset($objPHPExcel);
	unset($objWriter);
	exit;
?>